C1DFoldingKernel Class Reference

Base class for folding kernal types. More...

`#include <mia/core/spacial_kernel.hh>`

Inheritance diagram for C1DFoldingKernel:
[legend]
Collaboration diagram for C1DFoldingKernel:
[legend]

## Public Types

typedef vec_mask::const_iterator | const_iterator
| iterator over the kernel
typedef std::vector< double > | vec_mask
| Data type of the kernel coefficient vector.
Public Types inherited from C1DFilterKernel
typedef spacial_kernel_data | plugin_data
| define the plugin search path, data part
typedef kernel_plugin_type | plugin_type
| define the plugin search path, type part
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

const_iterator | begin () const
| returns a constant iterator at the begin of the filter kernel
| C1DFoldingKernel (int fsize)
const_iterator | dbegin () const
| returns a constant iterator at the begin of the derivative of the filter kernel
const_iterator | dend () const
| returns a constant iterator at the end of the derivative of the filter kernel
const_iterator | end () const
| returns a constant iterator at the end of the filter kernel
double & | operator[] (int i)
| standard access operator, rw version
double | operator[] (int i) const
| standard access operator, ro version
Public Member Functions inherited from C1DFilterKernel
std::vector< double > | apply (const std::vector< double > &data) const
void | apply_inplace (std::vector< double > &data) const
int | get_fsize () const
| returns the filter width definition parameter
size_t | size () const
| returns the width of the kernel
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Protected Types

typedef vec_mask::iterator | iterator
| kernel iterator

## Protected Member Functions

iterator | begin ()
| returns an iterator at the begin of the kernel
iterator | dbegin ()
| returns an iterator at the begin if the derivative of the kernel
iterator | dend ()
| returns an iterator at the end if the derivative of the kernel
iterator | end ()
| returns an iterator at the end of the kernel
Protected Member Functions inherited from C1DFilterKernel
| C1DFilterKernel (unsigned fsize)
virtual | ~C1DFilterKernel ()

## Detailed Description

Base class for folding kernal types.

Definition at line 100 of file spacial_kernel.hh.

## Member Typedef Documentation

## const_iterator

typedef vec_mask::const_iterator C1DFoldingKernel::const_iterator

iterator over the kernel

Definition at line 109 of file spacial_kernel.hh.

## iterator

typedef vec_mask::iterator C1DFoldingKernel::iterator

protected

kernel iterator

Definition at line 143 of file spacial_kernel.hh.

## vec_mask

typedef std::vector<double> C1DFoldingKernel::vec_mask

Data type of the kernel coefficient vector.

Definition at line 106 of file spacial_kernel.hh.

## Constructor & Destructor Documentation

## C1DFoldingKernel()

C1DFoldingKernel::C1DFoldingKernel | ( | int | fsize | ) |

Kernel constructor of the given size

Parameters

  fsize |

## Member Function Documentation

## begin() [1/2]

iterator C1DFoldingKernel::begin | ( |  | ) |

protected

returns an iterator at the begin of the kernel

## begin() [2/2]

const_iterator C1DFoldingKernel::begin | ( |  | ) | const

returns a constant iterator at the begin of the filter kernel

## dbegin() [1/2]

iterator C1DFoldingKernel::dbegin | ( |  | ) |

protected

returns an iterator at the begin if the derivative of the kernel

## dbegin() [2/2]

const_iterator C1DFoldingKernel::dbegin | ( |  | ) | const

returns a constant iterator at the begin of the derivative of the filter kernel

## dend() [1/2]

iterator C1DFoldingKernel::dend | ( |  | ) |

protected

returns an iterator at the end if the derivative of the kernel

## dend() [2/2]

const_iterator C1DFoldingKernel::dend | ( |  | ) | const

returns a constant iterator at the end of the derivative of the filter kernel

## end() [1/2]

iterator C1DFoldingKernel::end | ( |  | ) |

protected

returns an iterator at the end of the kernel

## end() [2/2]

const_iterator C1DFoldingKernel::end | ( |  | ) | const

returns a constant iterator at the end of the filter kernel

## operator[]() [1/2]

double & C1DFoldingKernel::operator[] | ( | int | i | ) |

inline

standard access operator, rw version

Definition at line 131 of file spacial_kernel.hh.

## operator[]() [2/2]

double C1DFoldingKernel::operator[] | ( | int | i | ) | const

inline

standard access operator, ro version

Definition at line 137 of file spacial_kernel.hh.

The documentation for this class was generated from the following file:

- spacial_kernel.hh